Index: trunk/admin/modules/Elezioni/ele_voti.php
===================================================================
--- trunk/admin/modules/Elezioni/ele_voti.php	(revision 253)
+++ trunk/admin/modules/Elezioni/ele_voti.php	(revision 254)
@@ -1266,16 +1329,56 @@
     	list($validi,$nulli,$bianchi,$contestati,$solo_lista,$votinulli) = mysql_fetch_row($res);
 		if ($voti_parz!=($validi-$solo_lista) and $voti_parz>0){
-			echo "<td style=\"background-color: rgb(255, 0, 0); text-align:center\"><img src=\"modules/Elezioni/images/alert.gif\" align=\"middle\" alt=\"\"><br><b> "._ATT_VOTI." ".$voti_parz." "._NO_VAL_VOTI." ".($validi-$solo_lista)."</b><br></td>";
+			echo "<tr><td style=\"background-color: rgb(255, 0, 0); text-align:center\"><img src=\"modules/Elezioni/images/alert.gif\" align=\"middle\" alt=\"\"><br><b> "._ATT_VOTI." ".$voti_parz." "._NO_VAL_VOTI." ".($validi-$solo_lista)."</b><br></td><tr>";
     	}
 		$res2 = mysql_query("SELECT max(voti_complessivi) FROM ".$prefix."_ele_voti_parziale where id_cons='$id_cons' and id_sez='$id_sez'", $dbi);
 		list($tot) = mysql_fetch_row($res2);
 		if ($validi+$nulli+$bianchi+$contestati+$votinulli!=$tot and $validi+$nulli+$bianchi+$contestati+$votinulli>0){
-			echo "<td style=\"background-color: rgb(255, 0, 0); text-align:center\"><img src=\"modules/Elezioni/images/alert.gif\" align=\"middle\" alt=\"\"><br><b> "._ATT_VOTANTI." ".$tot." "._NO_TOT_VOTI." ".($validi+$nulli+$bianchi+$contestati+$votinulli)."</b><br></td>";
+			echo "<tr><td style=\"background-color: rgb(255, 0, 0); text-align:center\"><img src=\"modules/Elezioni/images/alert.gif\" align=\"middle\" alt=\"\"><br><b> "._ATT_VOTANTI." ".$tot." "._NO_TOT_VOTI." ".($validi+$nulli+$bianchi+$contestati+$votinulli)."</b><br></td></tr>";
     	}
+		$resg=mysql_query("SELECT sum(voti) from ".$prefix."_ele_voti_lista where id_cons=$id_cons and id_sez=$id_sez",$dbi);
+		list($voti_sez)=mysql_fetch_row($resg);
+		if(($genere==5 and !$disgiunto and $voti_sez and $flagsg and ($tipo_cons==18 or $tipo_cons==19))){
+
+			$resg = mysql_query("SELECT sum(solo_gruppo) from ".$prefix."_ele_voti_gruppo where id_cons=$id_cons and id_sez=$id_sez",$dbi);
+			list($sgpl)=mysql_fetch_row($resg);
+			$resg = mysql_query("SELECT solo_gruppo from ".$prefix."_ele_sezioni where id_cons=$id_cons and id_sez=$id_sez",$dbi);
+			list($sg)=mysql_fetch_row($resg);
+			if ($sg != $sgpl) echo "<tr><td style=\"background-color: rgb(255, 0, 0); color: black; text-align: center\"><img src=\"modules/Elezioni/images/alert.gif\" align=\"middle\" alt=\"\"><br><b> "._ATT_UNI." ".$sgpl." "._ATT_TOT_UNI." ".$sg."</b><br></td></tr>";
+		}
+#controllo voti a liste collegate <= voto di gruppo per voto non disgiunto
+if($genere==5 and !$disgiunto and $flagsg  and ($tipo_cons==18 or $tipo_cons==19)){
+                $resref = mysql_query("SELECT id_gruppo FROM ".$prefix."_ele_gruppo where id_cons='$id_cons'", $dbi);
+		  $errgrulis=array();
+		$res4= mysql_query("SELECT count(0) FROM ".$prefix."_ele_voti_lista where id_sez='$id_sez'", $dbi);
+		list($sezscrl)=mysql_fetch_row($res4); 
+		if ($sezscrl)
+                while ( list($id_gruppo)=mysql_fetch_row($resref))
+                    {
+                    $res3= mysql_query("SELECT sum(voti-solo_gruppo) FROM ".$prefix."_ele_voti_gruppo where id_sez='$id_sez' and id_gruppo='$id_gruppo'", $dbi);
+                    $res4= mysql_query("SELECT sum(voti+nulli_lista) FROM ".$prefix."_ele_voti_lista where id_sez='$id_sez' and  id_lista in (select id_lista from ".$prefix."_ele_lista where id_gruppo='$id_gruppo')", $dbi);
+                    list($vgruppo)=mysql_fetch_row($res3);
+                    list($vliste)=mysql_fetch_row($res4); 
+                    if($vliste>$vgruppo  and ($tipo_cons=18 or $tipo_cons=19))
+                        {
+			    $errgrulis[$id_gruppo]=1;
+                         $result = mysql_query("SELECT descrizione FROM ".$prefix."_ele_gruppo where id_gruppo='$id_gruppo'", $dbi);
+                         list($dgruppo)=mysql_fetch_row($result);
+                        echo "<tr><td style=\"background-color: rgb(255, 0, 0); color: black; text-align: center\"><img src=\"modules/Elezioni/images/alert.gif\" align=\"middle\" alt=\"\"><br/><b> ATTENZIONE!<BR/>I voti delle liste collegate<br/> superano i voti assegnati al gruppo $dgruppo </b><br></td></tr>";
+                        }
+                    elseif($vliste<$vgruppo  and ($tipo_cons=18 or $tipo_cons=19))
+                        {
+			    $errgrulis[$id_gruppo]=1;
+                         $result = mysql_query("SELECT descrizione FROM ".$prefix."_ele_gruppo where id_gruppo='$id_gruppo'", $dbi);
+                         list($dgruppo)=mysql_fetch_row($result);
+                        echo "<tr><td style=\"background-color: rgb(255, 0, 0); color: black; text-align: center\"><img src=\"modules/Elezioni/images/alert.gif\" align=\"middle\" alt=\"\"><br/><b> ATTENZIONE!<BR/>I voti assegnati al gruppo $dgruppo <br/> superano i voti delle liste collegate</b><br></td></tr>";
+                        }
+                    }
+}
+
     }
     if(!isset($votinulli)) $votinulli=0;
-	echo "<td></td></tr></table>";
+	echo "<tr><td></td></tr></table>";
 	if ($validi+$nulli+$bianchi+$contestati+$votinulli>0 or $genere==0) {
-    echo "<table class=\"table-menu\" style=\"width: 60%; color: black\"><tr><td colspan=\"3\"><form name=\"sezioni\" action=\"admin.php\">";
+    echo "<table class=\"table-menu\" style=\" width: 60%; color: black\"><tr><td colspan=\"3\"><form name=\"sezioni\" action=\"admin.php\">";
    	echo "<input type=\"hidden\" name=\"op\" value=\"rec_voti_gruppi\">"
     ."<input type=\"hidden\" name=\"id_cons_gen\" value=\"$id_cons_gen\">"
@@ -1308,5 +1411,5 @@
     $i=1;
 	$tot_pref=0;
-       
+       $totsg=0;
     while(list($id_cons2,$id_gruppo,$num_gruppo, $descr_gruppo, $simbolo) = mysql_fetch_row($result)){
   
@@ -1351,7 +1454,13 @@
 		$res = mysql_query("SELECT * FROM ".$prefix."_ele_voti_gruppo where id_cons='$id_cons' and id_sez='$id_sez' and id_gruppo='$id_gruppo' ", $dbi);
 		$pro= mysql_fetch_array($res, 3);
-		echo "</td><td align=\"right\"><input  name=\"voti$i\" value=\"".$pro['voti']."\" size=\"7\"  style=\"text-align:right\"></td>";
-		if($dettnulli) echo "</td><td align=\"right\"><input  name=\"solog$i\" value=\"".$pro['solo_gruppo']."\" size=\"7\"  style=\"text-align:right\"></td>";
+		$errcolor='';
+		if(isset($errgrulis[$id_gruppo])) $errcolor="style=\"background-color: rgb(255, 0, 0);\"";
+		echo "</td><td align=\"right\" $errcolor><input  name=\"voti$i\" value=\"".$pro['voti']."\" size=\"7\"  style=\"text-align:right\"></td>";
+#		$lisgrures = mysql_query("SELECT count(id_lista) FROM ".$prefix."_ele_lista where id_cons='$id_cons' and id_gruppo='$id_gruppo'", $dbi);
+#		list($totlis) = mysql_fetch_row($lisgrures);
+#		if($totlis>1) $insinp=""; else $insinp= "type =\"hidden\" ";		
+		if($dettnulli) {echo "<td align=\"right\"><input name=\"solog$i\" value=\"".$pro['solo_gruppo']."\" size=\"7\"  style=\"text-align:right\"></td>"; $totsg+=$pro['solo_gruppo'];} 
 		$tot_pref += $pro['voti'];
+		echo "</tr>";
 	}
 	
@@ -1361,8 +1470,12 @@
    }
 	if ($genere!=0) {
+		$res = mysql_query("SELECT disgiunto FROM ".$prefix."_ele_cons_comune where id_cons='$id_cons' ", $dbi);
+		list($disgiunto)=mysql_fetch_row($res);
 		$res = mysql_query("SELECT solo_lista FROM ".$prefix."_ele_sezioni where id_sez='$id_sez' ", $dbi);
 		list($sololis)=mysql_fetch_row($res);
-		echo "<tr style=\"background-color: $bgcolor1; text-align:center\"><td></td><td>"._TOTPREF."</td><td>$tot_pref</td></tr>";
-		if(isdisgiunto())
+		echo "<tr style=\"background-color: $bgcolor1; text-align:center\"><td></td><td>"._TOTPREF."</td><td>$tot_pref</td>";
+		if($dettnulli) echo "<td>$totsg</td>";
+		echo "</tr>";
+		if($disgiunto)
 			echo "<tr style=\"background-color: $bgcolor1; text-align:center\"><td></td><td>"._SOLOLIS."</td><td><input  name=\"sololista\" value=\"".$sololis."\" size=\"7\"  style=\"text-align:right\"></td></tr>";
 	}
@@ -1375,5 +1488,5 @@
 		}
 
-	echo "</td></tr></table>";
+	echo "</td></tr></table></center>";
 	}
     if ($genere!=0){
@@ -1421,5 +1534,7 @@
 	$tab="_ele_voti_gruppo";
 	$y--;
-	if(isdisgiunto())
+	$res = mysql_query("SELECT disgiunto FROM ".$prefix."_ele_cons_comune where id_cons='$id_cons' ", $dbi);
+	list($disgiunto)=mysql_fetch_row($res);
+	if($disgiunto)
 		$res=mysql_query("update  ".$prefix."_ele_sezioni set solo_lista='".$arg[$y--]."' where id_sez='$id_sez'", $dbi);
 
@@ -1515,4 +1630,5 @@
   }
 echo"</td></tr></table>";
+	include_once("modules/Elezioni/language/lang-$currentlang.php");
    include ("footer.php");
 ?>
Index: trunk/admin/modules/Elezioni/foto.php
===================================================================
--- trunk/admin/modules/Elezioni/foto.php	(revision 253)
+++ trunk/admin/modules/Elezioni/foto.php	(revision 254)
@@ -53,6 +53,9 @@
 $sql = "select stemma from ".$prefix."_ele_conf where id_com='0'";
 $res = mysql_query($sql,$dbi);
-$dati = mysql_fetch_array($res);
-$stemma = $dati['stemma'];
+if($res)
+	{
+	$dati = mysql_fetch_array($res);
+	$stemma = $dati['stemma'];
+	}
 }
 echo $stemma;
Index: trunk/admin/modules/Elezioni/funzionidata.php
===================================================================
--- trunk/admin/modules/Elezioni/funzionidata.php	(revision 253)
+++ trunk/admin/modules/Elezioni/funzionidata.php	(revision 254)
@@ -42,5 +42,5 @@
 }
 
-function ore($min,$max)
+function ore()
 {
 $ora='';
Index: trunk/admin/modules/Elezioni/language/lang-en.php
===================================================================
--- trunk/admin/modules/Elezioni/language/lang-en.php	(revision 253)
+++ trunk/admin/modules/Elezioni/language/lang-en.php	(revision 254)
@@ -107,4 +107,22 @@
 		define("_CONSULTAZIONE","Regional Parliament Election"); 
 		define("_GRUPPO","Candidate for President");
+		break;
+	case 18: 
+		define("_CONSULTAZIONE","Camera Election"); 
+		define("_GRUPPO","Group Candidate");
+		define("_SOLO_GRUPPO","Ballots for Group Candidate only");
+		define("_LISTA","Linked List");
+		define("_CANDIDATO","Blocked List");
+
+		define("_DESCRCONS","CAMERA");
+		break;
+	case 19:
+		define("_CONSULTAZIONE","Senato Election"); 
+		define("_GRUPPO","Group Candidate");
+		define("_SOLO_GRUPPO","Ballots for Group Candidate only");
+		define("_LISTA","Linked List");
+		define("_CANDIDATO","Blocked List");
+
+		define("_DESCRCONS","SENATO");
 		break;
 
@@ -188,5 +206,5 @@
 define("_LINGUA","Language");
 define("_FASCIA","Citizens");
-define("_TUTTESEDI","All electoral centers");
+define("_TUTTESEDI","All polling stations");
 define("_ATT_VOTI","Warning! ballots");
 define("_ATT_VOTANTI","Warning! voters");
@@ -270,12 +288,12 @@
 define("_COMUNE","City");
 define("_VIS_PERC","Show percentages");
-define("_SEZIONE","Section");
-define("_SEZIONI","Sections");
+define("_SEZIONE","Polling station");
+define("_SEZIONI","Polling Stations");
 define("_UOMINI","Men");
 define("_DONNE","Women");
 define("_COMPLESSIVI","in total");
 define("_VOTIE","Express ballots");
-define("_SEZNOS","Sections to be Counted");
-define("_SEZSCR","Counted Sections");
+define("_SEZNOS","Polling Stations to be Counted");
+define("_SEZSCR","Counted Polling Stations");
 define("_LISTA","List");
 define("_PREFLISTA","Ballots to the list");
Index: trunk/admin/modules/Elezioni/language/lang-it.php
===================================================================
--- trunk/admin/modules/Elezioni/language/lang-it.php	(revision 253)
+++ trunk/admin/modules/Elezioni/language/lang-it.php	(revision 254)
@@ -8,4 +8,5 @@
 /************************************************************************/
 global $tipo_cons;
+
 switch ($tipo_cons){
 	case '':
@@ -18,4 +19,6 @@
 		define("_GRUPPOLOGO","Logo del Presidente");
 		define("_PRESI","Presidente");
+		define("_LISTA","Lista");
+		define("_CANDIDATO","Candidato");
 		define("_CONSI","Consigliere");
 		define("_DESCRCONS","PROVINCIALI");
@@ -34,4 +37,6 @@
 		define("_PRESI","Sindaco");
 		define("_CONSI","Consigliere");
+		define("_LISTA","Lista");
+		define("_CANDIDATO","Candidato");
 		define("_SOLO_GRUPPO","Voti al solo candidato Sindaco");
 		define("_DESCRCONS","COMUNALI");
@@ -41,4 +46,6 @@
 		define("_SOLO_GRUPPO","Voti al solo candidato Presidente");
 		define("_DESCRCONS","CIRCOSCRIZIONALI");
+		define("_CANDIDATO","Candidato");
+		define("_LISTA","Lista");
 		break;
 	case 5: 
@@ -47,4 +54,6 @@
 		define("_GRUPPOLOGO","Logo del Sindaco");
 		define("_PRESI","Sindaco");
+		define("_LISTA","Lista");
+		define("_CANDIDATO","Candidato");
 		define("_DESCRCONS","BALLOTTAGGIO");
 		break;
@@ -52,4 +61,5 @@
 		define("_CONSULTAZIONE","Consultazione Camera"); //genere 2
 		define("_GRUPPO","Lista");
+		define("_CANDIDATO","Candidato");
 		define("_GRUPPOLOGO","Logo della Lista");
 		define("_DESCRCONS","CAMERA SENZA GRUPPI");
@@ -58,4 +68,5 @@
 		define("_CONSULTAZIONE","Consultazione Senato"); //genere 2
 		define("_GRUPPO","Lista");
+		define("_CANDIDATO","Candidato");
 		define("_GRUPPOLOGO","Logo della Lista");
 		define("_DESCRCONS","SENATO SENZA GRUPPI");
@@ -64,4 +75,5 @@
 		define("_CONSULTAZIONE","Consultazione Parlamentare Europea"); //genere 4
 		define("_GRUPPO","Lista");
+		define("_CANDIDATO","Candidato");
 		define("_GRUPPOLOGO","Logo della Lista");
 		define("_CONSI","Candidato Lista");
@@ -72,4 +84,6 @@
 		define("_GRUPPO","Candidato Presidente");
 		define("_CONSI","Candidato Lista");
+		define("_LISTA","Lista");
+		define("_CANDIDATO","Candidato");
 		define("_SOLO_GRUPPO","Voti al solo candidato Presidente");
 		define("_DESCRCONS","REGIONALI");
@@ -78,4 +92,6 @@
 		define("_CONSULTAZIONE","Consultazione Senato"); //genere 2
 		define("_GRUPPO","Coalizione");
+		define("_LISTA","Lista");
+		define("_CANDIDATO","Candidato");
 		define("_DESCRCONS","SENATO CON GRUPPI");
 		break;
@@ -83,4 +99,6 @@
 		define("_CONSULTAZIONE","Consultazione Camera"); //genere 2
 		define("_GRUPPO","Coalizione");
+		define("_LISTA","Lista");
+		define("_CANDIDATO","Candidato");
 		define("_DESCRCONS","CAMERA CON GRUPPI");
 		break;
@@ -91,4 +109,6 @@
 		define("_GRUPPOLOGO","Logo del Presidente");
 		define("_PRESI","Presidente");
+		define("_LISTA","Lista");
+		define("_CANDIDATO","Candidato");
 		define("_CONSI","Consigliere");
 		define("_DESCRCONS","PROVINCIALI");
@@ -99,4 +119,6 @@
 		define("_GRUPPOLOGO","Logo del Presidente");
 		define("_PRESI","Presidente");
+		define("_LISTA","Lista");
+		define("_CANDIDATO","Candidato");
 		define("_DESCRCONS","BALLOTTAGGIO");
 		break;
@@ -106,4 +128,6 @@
 		define("_GRUPPOLOGO","Logo della Lista");
 		define("_CONSI","Candidato Lista");
+		define("_LISTA","Lista");
+		define("_CANDIDATO","Candidato");
 		define("_DESCRCONS","EUROPEE");
 		break;
@@ -111,4 +135,6 @@
 		define("_CONSULTAZIONE","Consultazione Camera"); //genere 2
 		define("_GRUPPO","Coalizione");
+		define("_LISTA","Lista");
+		define("_CANDIDATO","Candidato");
 		define("_DESCRCONS","CAMERA CON GRUPPI");
 		break;
@@ -116,4 +142,6 @@
 		define("_CONSULTAZIONE","Consultazione Senato"); //genere 2
 		define("_GRUPPO","Coalizione");
+		define("_LISTA","Lista");
+		define("_CANDIDATO","Candidato");
 		define("_DESCRCONS","SENATO CON GRUPPI");
 		break;
@@ -121,12 +149,28 @@
 		define("_CONSULTAZIONE","Consultazione Elezioni Regionali"); //genere 5
 		define("_GRUPPO","Candidato Presidente");
+		define("_LISTA","Lista");
+		define("_CANDIDATO","Candidato");
 		define("_DESCRCONS","REGIONALI");
 		break;
-        case 28:
-                 define("_CONSULTAZIONE","Consultazione Sindacale"); //genere 2
-                 define("_GRUPPO","Sigla");
-                 define("_DESCRCONS","Rappresentanza Sindacale Unitaria");
-                 define("_CONSI","Candidato Lista");
-                 break;
+        case 18:
+		define("_CONSULTAZIONE","Consultazione Camera dei deputati"); //genere 5
+		define("_GRUPPO","Candidato Uninominale");
+		define("_SOLO_GRUPPO","Voti al solo Candidato Uninominale");
+		define("_LISTA","Lista collegata");
+		define("_CANDIDATO","Listino bloccato");
+		define("_ATT_UNI","Attenzione! Il dettaglio dei voti");
+		define("_ATT_TOT_UNI","non corrisponde al totale per il solo candidato uninominale");
+		define("_DESCRCONS","CAMERA");
+		break;
+        case 19:
+		define("_CONSULTAZIONE","Consultazione Senato della Repubblica"); //genere 5
+		define("_GRUPPO","Candidato Uninominale");
+		define("_SOLO_GRUPPO","Voti al solo Candidato Uninominale");
+		define("_LISTA","Lista collegata");
+		define("_CANDIDATO","Listino bloccato");
+		define("_ATT_UNI","Attenzione! Il dettaglio dei voti");
+		define("_ATT_TOT_UNI","non corrisponde al totale per il solo candidato uninominale");
+		define("_DESCRCONS","CAMERA");
+		break;
 
 
@@ -182,4 +226,5 @@
 define("_TESTATA","Immagine per la testata");
 define("_BLOCCO","Visualizzare il blocco laterale?");
+
 define("_MULTICOMUNE","Gestione multicomune?");
 define("_MOBILE","Usare il tema per il cellulare?");
@@ -315,7 +360,5 @@
 define("_SEZNOS","Sezioni non scrutinate");
 define("_SEZSCR","Sezioni scrutinate");
-define("_LISTA","Lista");
 define("_PREFLISTA","Preferenze di Lista");
-define("_CANDIDATO","Candidato");
 define("_GESAMMIN","Gestione Amministrativa ");
 define("_DESCR","Denominazione");
@@ -468,3 +511,5 @@
 define("_CONFIGWIDGET","Configurazione dei box laterali");
 define("_SEGNALA","Segnala l'installazione a Eleonline");
+
+
 ?>
Index: trunk/client/modules/Elezioni/blocchi/cerca_candidato.php
===================================================================
--- trunk/client/modules/Elezioni/blocchi/cerca_candidato.php	(revision 253)
+++ trunk/client/modules/Elezioni/blocchi/cerca_candidato.php	(revision 254)
@@ -13,4 +13,5 @@
     die ("You can't access this file dirrectly...");
 }
+global $id_comune;
 
 # validatore form
@@ -34,11 +35,12 @@
 		<form method="post" name="form_candi" action="" onsubmit="return validateForm()" >
 		Inserisci il cognome o/e il nome intero del candidato da cercare<br/>
-		<input type="text" name="cognome" maxlength="30" size="10" value="">
-		<input type="submit" value="Cerca">
+		<input type="text" name="cognome" maxlength="30" size="10" value="">';
+echo "<input type=\"hidden\" name=\"id_comune\" value=\"$id_comune\">";
+echo	'<input type="submit" value="Cerca">
 		</form>
 		</div>
 ';
 
-$cerca_cand=$_SESSION['cerca_cand']; 
+if(isset($_SESSION['cerca_cand'])) $cerca_cand=$_SESSION['cerca_cand']; else $cerca_cand="";
 echo $cerca_cand;
 $_SESSION['cerca_cand']='';
@@ -66,8 +68,8 @@
 	}
 
-	$sql_cand= mysql_query("SELECT * FROM ".$prefix."_ele_candidati  where (cognome like '%$cognome%' $numeratore nome like '%$nome%') OR (cognome like '%$nome%' 
-	$numeratore nome like '%$cognome%')", $dbi);
-	$num_tot = mysql_num_rows($sql_cand);
-	$res = mysql_query("SELECT * FROM ".$prefix."_ele_candidati  where (cognome like '%$cognome%' $numeratore nome like '%$nome%') OR (cognome like '%$nome%' 	  $numeratore nome like '%$cognome%')  ORDER BY id_cand DESC LIMIT 0,7", $dbi);
+	$sql_cand= mysql_query("SELECT * FROM ".$prefix."_ele_candidati  where ((cognome like '%$cognome%' $numeratore nome like '%$nome%') OR (cognome like '%$nome%' 
+	$numeratore nome like '%$cognome%')) and id_cons in(select id_cons from ".$prefix."_ele_cons_comune where id_comune='$id_comune')", $dbi);
+	$num_tot = mysql_num_rows($sql_cand); 
+	$res = mysql_query("SELECT * FROM ".$prefix."_ele_candidati  where ((cognome like '%$cognome%' $numeratore nome like '%$nome%') OR (cognome like '%$nome%' 	  $numeratore nome like '%$cognome%'))  and id_cons in(select id_cons from ".$prefix."_ele_cons_comune where id_comune='$id_comune') ORDER BY id_cand DESC LIMIT 0,7", $dbi);
 	while (list($id_cand,$id_cons2,$id_lista,$cognome,$nome,$note,$simbolo,$num_candidato) = mysql_fetch_row($res)) {
 		$res1 = mysql_query("SELECT id_cons_gen FROM ".$prefix."_ele_cons_comune  where id_cons='$id_cons2'" , $dbi);	
Index: trunk/client/modules/Elezioni/candidato.php
===================================================================
--- trunk/client/modules/Elezioni/candidato.php	(revision 253)
+++ trunk/client/modules/Elezioni/candidato.php	(revision 254)
@@ -136,5 +136,5 @@
 	
 	$res = mysql_query("SELECT id_cons FROM ".$prefix."_ele_candidati where id_cons='$id_cons' and cognome like \"$lettera%\"  ", $dbi);
-    	$max = mysql_num_rows($res);
+    if($res)	$max = mysql_num_rows($res);
 	
 	}
Index: trunk/client/modules/Elezioni/foto.php
===================================================================
--- trunk/client/modules/Elezioni/foto.php	(revision 253)
+++ trunk/client/modules/Elezioni/foto.php	(revision 254)
@@ -22,24 +22,20 @@
 
 if ($id_lista){
-	$sql = "select * from ".$prefix."_ele_lista where id_lista='$id_lista'";
+	$sql = "select stemma from ".$prefix."_ele_lista where id_lista='$id_lista'";
 	$res = mysql_query($sql,$dbi);
-	$dati = mysql_fetch_array($res);
-	$stemma = $dati['stemma'];
+	list($stemma) = mysql_fetch_row($res);
 }elseif ($id_gruppo){
-	$sql = "select * from ".$prefix."_ele_gruppo where id_gruppo='$id_gruppo'";
+	$sql = "select programma,stemma from ".$prefix."_ele_gruppo where id_gruppo='$id_gruppo'";
 	$res = mysql_query($sql,$dbi);
-	$dati = mysql_fetch_array($res);
-	if(isset($pdf)) $stemma = $dati['programma'];
-	else $stemma = $dati['stemma'];
+	list($programma,$stemma) = mysql_fetch_row($res);
+	if(isset($pdf)) $stemma = $programma;
 }elseif ($id_sede){
-	$sql = "select * from ".$prefix."_ele_sede where id_sede='$id_sede'";
+	$sql = "select mappa from ".$prefix."_ele_sede where id_sede='$id_sede'";
 	$res = mysql_query($sql,$dbi);
-	$dati = mysql_fetch_array($res);
-	$stemma = $dati['mappa'];
+	list($stemma) = mysql_fetch_row($res);
 }elseif ($id_comune){
-	$sql = "select * from ".$prefix."_ele_comuni where id_comune='$id_comune'";
+	$sql = "select stemma from ".$prefix."_ele_comuni where id_comune='$id_comune'";
 	$res = mysql_query($sql,$dbi);
-	$dati = mysql_fetch_array($res);
-	$stemma = $dati['stemma']; #die("qui:  $sql  $stemma");
+	list($stemma) = mysql_fetch_row($res);
 }else{
 die();
Index: trunk/client/modules/Elezioni/grafici.php
===================================================================
--- trunk/client/modules/Elezioni/grafici.php	(revision 253)
+++ trunk/client/modules/Elezioni/grafici.php	(revision 254)
@@ -11,9 +11,4 @@
     die ("You can't access this file directly...");
 }
-
-include "pdoquery.php";
-$res=tipocons();
-$descr_cons=$res[1];$tipo_cons=$res[2];$genere=$res[3];$votog=$res[4];$votol=$res[5];$votoc=$res[6];$circo=$res[7];
-die("SELECT t1.descrizione, t1.tipo_cons,t2.genere, t2.voto_g, t2.voto_l, t2.voto_c, t2.circo ($descr_cons,$tipo_cons,$genere,$votog,$votol,$votoc,$circo)");
 
 
